# Interface ComponentMaker

All Known Implementing Classes:
  `ExceptionComponentMaker`

public interface ComponentMaker
An interface implemented by objects which can make a Component for display on demand.

Version:
  $Id$
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getComponent()`
Return a Component.

## Method Details

### getComponent

JComponent getComponent() throws Exception
Return a Component. It is only expected that this method will be called once for each instance of this class.

Returns:
  the Component
Throws:
  `Exception` - any exception which is thrown will be caught something sensible will be done with it - typically a different component displaying the exception message will be displayed instead